Bug 815820 - condor_configd is using QMF_BROKER_AUTH_MECHANISM instead of QMF_BROKER_AUTH_MECH
condor_configd is using QMF_BROKER_AUTH_MECHANISM instead of QMF_BROKER_AUTH_...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-client (Show other bugs)
2.1
Unspecified Unspecified
low Severity medium
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
:
Depends On:
Blocks: 754228
  Show dependency treegraph
 
Reported: 2012-04-24 11:13 EDT by Trevor McKay
Modified: 2013-03-06 13:43 EST (History)
6 users (show)

See Also:
Fixed In Version: condor-wallaby-client-5.0.2-1
Doc Type: Enhancement
Doc Text:
Feature: The configd can use the same parameters as other qmf related daemons to specify authentication mechansims when connecting to a broker Reason: The configd uses QMF_BROKER_AUTH_MECHANISM whereas other qmf related daemons use QMF_BROKER_AUTH_MECH Result (if any): The configd uses both QMF_BROKER_AUTH_MECHANISM and QMF_BROKER_AUTH_MECH, with QMF_BROKER_AUTH_MECHANISM taking precedence
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:43:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor McKay 2012-04-24 11:13:14 EDT
Description of problem:

condor_configd should use QMF_BROKER_AUTH_MECH for reading a SASL mechanism list from config files, to match the grid plugins.
Comment 1 Trevor McKay 2012-04-24 12:11:27 EDT
Version:

condor-wallaby-4.1.2-1.el6
Comment 2 Robert Rati 2012-05-07 16:34:50 EDT
The configd will use QMF_BROKER_AUTH_MECH if QMF_BROKER_AUTH_MECHANISM is not defined.  If neither is defined it will use the defaults.

Fixed upstream on branch:
BZ815820-qmf_broker_auth_mech
Comment 7 Lubos Trilety 2012-12-20 04:52:13 EST
tested with:
condor-wallaby-client-5.0.4-1

tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

1.
QMF_BROKER_AUTH_MECHANISM=PLAIN
#QMF_BROKER_AUTH_MECH=DIGEST-MD5

# qpid-stat -c
Connections
  connection                      cproc           cpid   mech        auth            connected       idle    msgIn  msgOut
  ==========================================================================================================================
  127.0.0.1:5672-127.0.0.1:36052  condor_configd  18858  PLAIN       cumin@QPID      2m 57s          0s        51    115
...

2.
QMF_BROKER_AUTH_MECHANISM=PLAIN
QMF_BROKER_AUTH_MECH=DIGEST-MD5

# qpid-stat -c
Connections
  connection                      cproc           cpid   mech        auth            connected      idle  msgIn  msgOut
  =======================================================================================================================
  127.0.0.1:5672-127.0.0.1:36048  condor_configd  18629  PLAIN       cumin@QPID      16s            0s      51    100
...

3.
#QMF_BROKER_AUTH_MECHANISM=PLAIN
QMF_BROKER_AUTH_MECH=DIGEST-MD5

# qpid-stat -c
Connections
  connection                      cproc           cpid   mech        auth            connected       idle  msgIn  msgOut
  ========================================================================================================================
  127.0.0.1:5672-127.0.0.1:36050  condor_configd  18742  DIGEST-MD5  cumin@QPID      10s             0s      49     94
...

4.
#QMF_BROKER_AUTH_MECHANISM=PLAIN
#QMF_BROKER_AUTH_MECH=DIGEST-MD5

# qpid-stat -c
Connections
  connection                      cproc           cpid   mech        auth            connected       idle    msgIn  msgOut
  ==========================================================================================================================
  127.0.0.1:5672-127.0.0.1:36054  condor_configd  18983  ANONYMOUS   anonymous@QPID  11s             0s        49     96
...

>>> verified
Comment 10 errata-xmlrpc 2013-03-06 13:43:59 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html

Note You need to log in before you can comment on or make changes to this bug.